GuidesAPI Reference
API Reference

List Project Devices

List Devices in the specified Project.


Access Control:

  • The calling principal must have "readDevices" action permission for the resource "{project}" in the "account" service.
  • The calling principal MUST NOT include a project scope.
Path Params
string
required

HRN identifying the Project.

Query Params
string

HRN identifying the IdentityProvider. Ignored if externalId is not specified in the request.

string

External identifier for the Device under a third-party Identity Provider.
If OpenID Connect Token Exchange was used to create this Device identity, the ExternalId matches the value of the "sub" claim in the OP's access tokens.
External IDs are considered unique for a given an Identity Provider.
Ignored if identityProvider is not specified in the request.

string

If there are more records than 'limit' (between 1 and 100), and there are multiple pages of records, 'pageToken' allows for retrieval of individual pages. In order to retrieve subsequent pages, the client should provide the pageToken returned in the result from the previous API call as input to the following API call.

Example: If the result for a call to GET /items returns {..., "pageToken": "abcdefg"}, in order to retrieve the next page of 'items' the client should call GET /items?pageToken=abcdefg

integer
0 to 100
Defaults to 100

Number of records to return. Default is 100 records. Maximum is 100 records.

Headers
string

The unique for the request, used to track this request within the service. X-Request-ID value is NOT propagated to the downstream services.

string

Correlates HTTP requests between a client and server. If not present in the incoming request, it will be generated. This header and value will be included in all loglines including access logs. It will also be propagated to downstream services and returned in the response.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json